[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.BeginAutoDrag

Starts a non-immediate drag / dock operation for the control.

## Declaration

Source position: stdctrls.pp line 583

`protected procedure TCustomListBox.BeginAutoDrag; override;`

## Description

Calls the inherited BeginDrag method with the Immediate argument set to False. The drag operation is detected and handled by the DragManager for the application.

## See also

TControl.BeginAutoDrag |  | For internal use: user has started dragging the control.